Tenants
Eliminar un tenant
Elimina un tenant existente y desactiva la organización relacionada. No se puede eliminar un tenant de la propia organización del usuario. No se puede eliminar un tenant si la organización tiene más de un tenant.
DELETE
/
v1
/
organizations
/
{organization_id}
/
tenants
/
{tenant_id}
Eliminar un tenant
curl --request DELETE \
--url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants/{tenant_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants/{tenant_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants/{tenant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
El identificador único de la organización propietaria del tenant
Maximum string length:
24Pattern:
^[0-9a-f]{24}$El identificador único del tenant que se va a eliminar
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Respuesta
Tenant eliminado correctamente. La organización relacionada ha sido desactivada. No se devuelve contenido en el cuerpo de la respuesta.
⌘I
Eliminar un tenant
